View Issue Details

IDProjectCategoryLast Update
0023340AI War 2[All Projects] Crash/ExceptionJun 29, 2020 11:25 am
Reporterrelmz32Assigned Tox4000Bughunter 
Severityblock 
Status resolvedResolutionfixed 
Product VersionBeta 2.084 Freedom From The Compiler 
Fixed in VersionBeta 2.086 Tell Me About The Zenith, Voice Lady 
Summary0023340: Cannot load some saves from 2.084
Description"Faction deserialization error at stage 17500 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array."

To Note: I have a mod marked as disabled via the settings menu.

I think this is related to having extra factions, in particular Allied Scourge.
TagsNo tags attached.

Relationships

related to 0023241 closedx4000Bughunter World Deserialization Error for specific save file 

Activities

relmz32

Jun 26, 2020 11:57 pm

reporter  

ArcenDebugLog.txt (58,118 bytes)
6/26/2020 11:40:00 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBase.HandleMouseover () [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdate_Subclass (System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Boolean ShouldDoFullUpdate, System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateWindow (System.Single AddedDeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:00 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBase.HandleMouseover () [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Boolean ShouldDoFullUpdate, System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateWindow (System.Single AddedDeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:12 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBase.HandleMouseover () [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdate_Subclass (System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Boolean ShouldDoFullUpdate, System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateWindow (System.Single AddedDeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:12 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBase.HandleMouseover () [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Boolean ShouldDoFullUpdate, System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateWindow (System.Single AddedDeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:16 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBase.HandleMouseover () [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdate_Subclass (System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Boolean ShouldDoFullUpdate, System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateWindow (System.Single AddedDeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:16 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBase.HandleMouseover () [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Boolean ShouldDoFullUpdate, System.Single DeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateWindow (System.Single AddedDeltaTime) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:20 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:22 PM
Exception in entity tooltip text generation at stage 30531:System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].ThrowKeyNotFoundException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Concurrent.ConcurrentDictionary`2[TKey,TValue].get_Item (TKey key) [0x0000b] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.GameSettings.GetBoolBySetting (System.String setting) [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x05053] in <7e31f96790f14e7cabc52860a947597e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at ArcenGameController.Update () [0x00000] in <77ad2064017b47869c2f43d323207f95>:0 

6/26/2020 11:40:48 PM	Waiting On Server, at frame 0 client mode: False SocketMode: Host
6/26/2020 11:42:34 PM	PLAYER DISCONNECTED 0.0.0.0=>0
6/26/2020 11:42:34 PM	Could not load the campaign in question because you don't have the requisite expansions or mods installed:

Missing Or Disabled Mods: 
SKCivilianIndustry

6/26/2020 11:43:00 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:43:00 PM	Successfully opened host socket
6/26/2020 11:43:00 PM	Clear out factions that should not be in UI based on savegame: 8  Macrophage Infestation - Tamed  Human Resistance Fighters  Devourer Golem  Outguard  Anti-Player Zombie  Anti-Everyone Zombie  Anti-AI Zombie  AI Reserves
6/26/2020 11:43:00 PM	Added the faction AIReserves.
6/26/2020 11:43:00 PM	Added the faction AntiAIZombie.
6/26/2020 11:43:00 PM	Added the faction AntiEveryoneZombie.
6/26/2020 11:43:00 PM	Added the faction AntiPlayerZombie.
6/26/2020 11:43:00 PM	Added the faction Mercenary.
6/26/2020 11:43:10 PM	Start Generate Partial Map with Octopus and seed 972188931 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:43:10 PM	Generate Partial Map Complete
6/26/2020 11:43:10 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:43:22 PM	Start Generate Partial Map with Octopus and seed 103814181 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:43:22 PM	Generate Partial Map Complete
6/26/2020 11:43:22 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:43:31 PM	Start Generate Partial Map with Octopus and seed 591215762 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:43:31 PM	Generate Partial Map Complete
6/26/2020 11:43:31 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:43:40 PM	Start Generate Partial Map with Octopus and seed 355450614 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:43:40 PM	total central planets: 37
6/26/2020 11:43:40 PM	created central planets: 37
6/26/2020 11:43:40 PM	Generate Partial Map Complete
6/26/2020 11:43:40 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:44:20 PM	Start Generate Partial Map with Octopus and seed 314143655 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:44:20 PM	total central planets: 34
6/26/2020 11:44:20 PM	created central planets: 34
6/26/2020 11:44:20 PM	Generate Partial Map Complete
6/26/2020 11:44:20 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:44:29 PM	Start Generate Partial Map with Octopus and seed 597090117 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:44:29 PM	total central planets: 33
6/26/2020 11:44:29 PM	created central planets: 33
6/26/2020 11:44:29 PM	Generate Partial Map Complete
6/26/2020 11:44:29 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:44:38 PM	Start Generate Partial Map with Octopus and seed 581457426 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:44:39 PM	Generate Partial Map Complete
6/26/2020 11:44:39 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:44:47 PM	Start Generate Partial Map with Octopus and seed 326562242 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:44:47 PM	total central planets: 29
6/26/2020 11:44:47 PM	created central planets: 29
6/26/2020 11:44:47 PM	Generate Partial Map Complete
6/26/2020 11:44:47 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:44:53 PM	Start Generate Partial Map with Octopus and seed 772398430 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:44:53 PM	Generate Partial Map Complete
6/26/2020 11:44:53 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:45:06 PM	Start Generate Partial Map with Octopus and seed 772398430 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:45:06 PM	Generate Partial Map Complete
6/26/2020 11:45:06 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:45:11 PM	Start Generate Partial Map with Octopus and seed 396371981 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:45:11 PM	total central planets: 41
6/26/2020 11:45:11 PM	created central planets: 41
6/26/2020 11:45:12 PM	Generate Partial Map Complete
6/26/2020 11:45:12 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:45:41 PM	Start Generate Partial Map with Octopus and seed 363921723 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:45:41 PM	total central planets: 30
6/26/2020 11:45:41 PM	created central planets: 30
6/26/2020 11:45:41 PM	Generate Partial Map Complete
6/26/2020 11:45:41 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:45:55 PM	Start Generate Partial Map with Octopus and seed 929743050 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:45:55 PM	Generate Partial Map Complete
6/26/2020 11:45:55 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:46:04 PM	Start Generate Partial Map with Octopus and seed 785723349 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:46:04 PM	Generate Partial Map Complete
6/26/2020 11:46:04 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:46:23 PM	Start Generate Partial Map with Octopus and seed 208157323 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:46:23 PM	total central planets: 26
6/26/2020 11:46:23 PM	created central planets: 26
6/26/2020 11:46:23 PM	Generate Partial Map Complete
6/26/2020 11:46:23 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:46:31 PM	Start Generate Partial Map with Octopus and seed 314695107 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:46:31 PM	Generate Partial Map Complete
6/26/2020 11:46:31 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:46:45 PM	Start Generate Partial Map with Octopus and seed 907383020 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:46:45 PM	total central planets: 33
6/26/2020 11:46:45 PM	created central planets: 33
6/26/2020 11:46:45 PM	Generate Partial Map Complete
6/26/2020 11:46:45 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:46:52 PM	Start Generate Partial Map with Octopus and seed 359395286 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:46:52 PM	total central planets: 37
6/26/2020 11:46:52 PM	created central planets: 37
6/26/2020 11:46:52 PM	Generate Partial Map Complete
6/26/2020 11:46:52 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:47:12 PM	Start Generate Partial Map with Octopus and seed 145816842 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:47:12 PM	Generate Partial Map Complete
6/26/2020 11:47:12 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:47:23 PM	Start Generate Partial Map with Octopus and seed 674099125 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:47:23 PM	Generate Partial Map Complete
6/26/2020 11:47:23 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:47:39 PM	Start Generate Partial Map with Octopus and seed 674099125 and planet count 113 and 22 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
6/26/2020 11:47:39 PM	Generate Partial Map Complete
6/26/2020 11:47:39 PM	PlayerAccount relmz32 has now been put in control of faction 1.
6/26/2020 11:49:10 PM	Start Generate FULL Map with Octopus and seed 674099125 and planet count 113 and 22 factions (StartingMainGameAfterLobby NotLoadingAnything)
6/26/2020 11:49:10 PM	Generate FULL Map Complete
6/26/2020 11:54:23 PM	PLAYER DISCONNECTED 0.0.0.0=>0
6/26/2020 11:54:23 PM	Error, received 369 items in external pattern DysonAntagonizerExternalData when that pattern is only supposed to contain 1; the extra items will be ignored (parsing the non-ignored items may cause errors if the pattern implementation is not expecting the right types, etc)
6/26/2020 11:54:23 PM	Error, received 8 items in external pattern InstigatorPerUnitDataExternal when that pattern is only supposed to contain 1; the extra items will be ignored (parsing the non-ignored items may cause errors if the pattern implementation is not expecting the right types, etc)
6/26/2020 11:54:23 PM	Error, received 191 items in external pattern DarkSpireData when that pattern is only supposed to contain 1; the extra items will be ignored (parsing the non-ignored items may cause errors if the pattern implementation is not expecting the right types, etc)
6/26/2020 11:54:23 PM	Faction deserialization error at stage 17500 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper16 (Arcen.Universal.ReadStyle RStyle) [0x00032] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadInt16 (Arcen.Universal.ReadStyle RStyle, System.String FieldNameForErrors) [0x0003c] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.External.DarkSpirePerPlanet..ctor (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000c4] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.DarkSpireData..ctor (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00052] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.AIW2.External.DarkSpireExternalData.DeserializeExternalData (System.Object ParentObject, System.Object[] Target, System.Int32 ItemsToExpect, Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00001] in <7e31f96790f14e7cabc52860a947597e>:0 
  at Arcen.Universal.ArcenExternalData.DeserializeFrom (System.Object ParentObject, Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x0019a] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenExternalDataLookup.DeserializeFrom (System.Object ParentObject, Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x0001a] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x0098f] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Faction deserialization error at stage 1000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00029] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Faction deserialization error at stage 1000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00029] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Faction deserialization error at stage 1000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00029] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Faction deserialization error at stage 1000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00029] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Faction deserialization error at stage 1000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00029] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Faction deserialization error at stage 1000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00029] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Faction deserialization error at stage 1000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00029] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:23 PM	Added the faction AIReserves.
6/26/2020 11:54:23 PM	Added the faction AntiAIZombie.
6/26/2020 11:54:23 PM	Added the faction AntiEveryoneZombie.
6/26/2020 11:54:23 PM	Added the faction AntiPlayerZombie.
6/26/2020 11:54:23 PM	Added the faction Mercenary.
6/26/2020 11:54:23 PM	World_AIW2 deserialization error at stage 9000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetNextBit () [0x00001] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelper8 (Arcen.Universal.ReadStyleByte RStyle) [0x00023] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadByte (Arcen.Universal.ReadStyleByte RStyle, System.String FieldNameForErrors) [0x00035] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.World_AIW2.DeserializeWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors) [0x00b4e] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:44 PM	Resolution changed to windowed 1900x1000
6/26/2020 11:54:44 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
6/26/2020 11:54:44 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
6/26/2020 11:54:59 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:59 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:59 PM	Faction deserialization error at stage 2000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00053] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:59 PM	Faction deserialization error at stage 2000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00053] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:59 PM	Faction deserialization error at stage 8000 from serialized version 2.084 loading into new version 2.084, error: System.ArgumentException: An item with the same key has already been added. Key: 0
  at System.Collections.Generic.Dictionary`2[TKey,TValue].TryInsert (TKey key, TValue value, System.Collections.Generic.InsertionBehavior behavior) [0x000c1] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Generic.Dictionary`2[TKey,TValue].Add (TKey key, TValue value) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.AIW2.Core.SpeedGroup.DeserializeFrom (System.Int32 SpeedGroupVisualIndex, Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00097] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x004e9] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:59 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:54:59 PM	World_AIW2 deserialization error at stage 7000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.Core.Faction.UpdateHostileToAndAlliedWithArrays () [0x0007d] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.Faction.Create (Arcen.AIW2.Core.ConfigurationForFaction FactionConfig) [0x00192] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.World_AIW2.FixDuringDeserForTemplate_AddAnyMissingFactions () [0x000d9] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.World_AIW2.DeserializeWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors) [0x00ada] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:56:58 PM	Resolution changed to windowed 1900x1000
6/26/2020 11:56:58 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
6/26/2020 11:56:58 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
6/26/2020 11:57:12 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:12 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:12 PM	Faction deserialization error at stage 2000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00053] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:12 PM	Faction deserialization error at stage 2000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00053] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:12 PM	Faction deserialization error at stage 8000 from serialized version 2.084 loading into new version 2.084, error: System.ArgumentException: An item with the same key has already been added. Key: 0
  at System.Collections.Generic.Dictionary`2[TKey,TValue].TryInsert (TKey key, TValue value, System.Collections.Generic.InsertionBehavior behavior) [0x000c1] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Generic.Dictionary`2[TKey,TValue].Add (TKey key, TValue value) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.AIW2.Core.SpeedGroup.DeserializeFrom (System.Int32 SpeedGroupVisualIndex, Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00097] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x004e9] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:12 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:12 PM	World_AIW2 deserialization error at stage 7000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.Core.Faction.UpdateHostileToAndAlliedWithArrays () [0x0007d] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.Faction.Create (Arcen.AIW2.Core.ConfigurationForFaction FactionConfig) [0x00192] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.World_AIW2.FixDuringDeserForTemplate_AddAnyMissingFactions () [0x000d9] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.World_AIW2.DeserializeWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors) [0x00ada] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:19 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:19 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:19 PM	Faction deserialization error at stage 2000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00053] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:19 PM	Faction deserialization error at stage 2000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00053] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:19 PM	Faction deserialization error at stage 8000 from serialized version 2.084 loading into new version 2.084, error: System.ArgumentException: An item with the same key has already been added. Key: 0
  at System.Collections.Generic.Dictionary`2[TKey,TValue].TryInsert (TKey key, TValue value, System.Collections.Generic.InsertionBehavior behavior) [0x000c1] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Collections.Generic.Dictionary`2[TKey,TValue].Add (TKey key, TValue value) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.AIW2.Core.SpeedGroup.DeserializeFrom (System.Int32 SpeedGroupVisualIndex, Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00097] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x004e9] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:19 PM	Faction deserialization error at stage 3000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <fe9f4c99e3144b448ebcd944c6f5dbbf>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x000d0] in <09528db5066a47ae956726a9714d5c80>:0 
6/26/2020 11:57:19 PM	World_AIW2 deserialization error at stage 7000 from serialized version 2.084 loading into new version 2.084, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.Core.Faction.UpdateHostileToAndAlliedWithArrays () [0x0007d] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.Faction.Create (Arcen.AIW2.Core.ConfigurationForFaction FactionConfig) [0x00192] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.World_AIW2.FixDuringDeserForTemplate_AddAnyMissingFactions () [0x000d9] in <09528db5066a47ae956726a9714d5c80>:0 
  at Arcen.AIW2.Core.World_AIW2.DeserializeWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors) [0x00ada] in <09528db5066a47ae956726a9714d5c80>:0 
ArcenDebugLog.txt (58,118 bytes)
hover error.savemet (56 bytes)
hover error.save (284,186 bytes)

zeusalmighty

Jun 27, 2020 12:03 am

reporter   ~0057439

I'm also having problems loading saves

zeusalmighty

Jun 27, 2020 12:03 am

reporter  

DZ start.save (1,187,219 bytes)

BadgerBadger

Jun 27, 2020 12:30 am

manager   ~0057440

Last edited: Jun 27, 2020 12:34 am

View 2 revisions

So this is a very strange problem. I can almost always reproduce it by saving a totally default game before 1 second has elapsed, and then attempting to reload it.

I glanced at the WorldSerialization/Deserialization logs, and see first this weirdness. Here's the Serialization Log:
.string: 2084_NewCompilerPipeline
************************************************************
External SerializeAllAllInternalNames Sets
************************************************************
ArcenExternalDataPatternTable.Q_0_To_1ˌ048ˌ575: 46
.stringc: DoomData
.stringc: ExternalData_GroupTargetSorting
.stringc: ExternalData_AI

And the Deserialization:
.string: 2084_NewCompilerPipeline
************************************************************
External SerializeAllAllInternalNames Sets
************************************************************
ArcenExternalDataPatternTable.Q_0_To_1\313\214048\313\214575: 46 <============= This doesn't match
.stringc: DoomData

or here, the Serialization log
  ************************************************************
CalculateCriticalSerializationGatingValuesBasedOnData
************************************************************
maxGameSecondWeCanTalkAbout: 10,002
SerializationStyle_GameSeconds_Neg1ToPos: L_ˉ1_To_16ˌ383
SerializationStyle_GameSeconds_PosDef0: L_0_To_16ˌ383_Def0
GlobalLastEntitySquadPrimaryKeyID: 2,872
SerializationStyle_SquadPrimaryKeyID_Neg1ToPos: J_ˉ1_To_4ˌ095
SerializationStyle_SquadPrimaryKeyID_PosDef0: J_0_To_4ˌ095_Def0

and here the matched Deserialization log:
                                                                                                         
                                                                                           ************************************************************
CalculateCriticalSerializationGatingValuesBasedOnData
************************************************************
maxGameSecondWeCanTalkAbout: 10,002
SerializationStyle_GameSeconds_Neg1ToPos: L_\313\2111_To_16\313\214383
SerializationStyle_GameSeconds_PosDef0: L_0_To_16\313\214383_Def0
GlobalLastEntitySquadPrimaryKeyID: 2,872
SerializationStyle_SquadPrimaryKeyID_Neg1ToPos: J_\313\2111_To_4\313\214095
SerializationStyle_SquadPrimaryKeyID_PosDef0: J_0_To_4\313\214095_Def0

These definitely don't match. I also see lots of Exceptions in the deserialization logs that seem to be silent failures:
fail: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.GetBits_InnerHelperChar (System.Boolean ReadFullUnicode) [0x00049] in <02a180520903413b933cafcdd61805fd>:0
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x000e6] in <02a180520903413b933cafcdd61805fd>:0


Basically, I'm really confused about things. Usually I can just diff the Serialization/Deserialization buffers against eachother, but there are so many differences!

I've attached the WorldSerialization and Deserialization logs. I note that the WorldSerialization log is 11M so it can't be attached directly

BadgerBadger

Jun 27, 2020 12:33 am

manager  

SerializationErrors.tar.gz (296,892 bytes)

x4000Bughunter

Jun 27, 2020 11:02 am

administrator   ~0057443

I see, okay, thanks for this. I will have to fix this a bit later on, it will be a bit of a hash to get through. Basically, the external data patterns were designed in such a way that they were very brittle and index-oriented. I thought I had fixed the worst of that, but it's still clearly a thing.

The most immediate cause of this is the new parallel loading, but it actually goes back to a design flaw that is as old as the game, honestly. I am going to have to redefine how that stuff works while making older savegames continue to work, which should be possible but won't solve the issue of any of the savegames from these recent betas -- these ones are just toast, unfortunately.

...ah, the fun of really old code biting us...

x4000Bughunter

Jun 29, 2020 11:25 am

administrator   ~0057450

Thanks!

And sorry about this.

* Savegames from the last four beta branch versions (since 2.080) may or may not load for you, apologies for that.
** Some of them were already not loading, and were loading very odd data onto units and factions, but now new savegames should work properly again (and all older savegames are still fine).
** Essentially, ExternalData was getting saved in the wrong fashion. There is still some brittleness here that doesn't exist in any other part of the game, and we will see if we can fix that separately so that this never happens again.

* The way that external data logging is handled in the serialization logs is now a lot more clear, so we can easily go in and search for things that may be funky.

Issue History

Date Modified Username Field Change
Jun 26, 2020 11:57 pm relmz32 New Issue
Jun 26, 2020 11:57 pm relmz32 File Added: ArcenDebugLog.txt
Jun 26, 2020 11:57 pm relmz32 File Added: hover error.save
Jun 26, 2020 11:57 pm relmz32 File Added: hover error.savemet
Jun 26, 2020 11:59 pm relmz32 Description Updated View Revisions
Jun 27, 2020 12:03 am relmz32 Summary Cannot load saves from 2.084 => Cannot load some saves from 2.084
Jun 27, 2020 12:03 am zeusalmighty Note Added: 0057439
Jun 27, 2020 12:03 am zeusalmighty File Added: DZ start.save
Jun 27, 2020 12:05 am relmz32 Description Updated View Revisions
Jun 27, 2020 12:30 am BadgerBadger Note Added: 0057440
Jun 27, 2020 12:30 am BadgerBadger Assigned To => x4000Bughunter
Jun 27, 2020 12:30 am BadgerBadger Status new => assigned
Jun 27, 2020 12:31 am BadgerBadger Severity major => block
Jun 27, 2020 12:33 am BadgerBadger File Added: SerializationErrors.tar.gz
Jun 27, 2020 12:34 am BadgerBadger Note Edited: 0057440 View Revisions
Jun 27, 2020 11:02 am x4000Bughunter Note Added: 0057443
Jun 27, 2020 11:03 am x4000Bughunter Relationship added related to 0023241
Jun 29, 2020 11:25 am x4000Bughunter Status assigned => resolved
Jun 29, 2020 11:25 am x4000Bughunter Resolution open => fixed
Jun 29, 2020 11:25 am x4000Bughunter Fixed in Version => Beta 2.086 Tell Me About The Zenith, Voice Lady
Jun 29, 2020 11:25 am x4000Bughunter Note Added: 0057450